@import '../../../assets/styles/common';

.user-info {
  &__header {
    display: flex;
    font-style: Italic;
    font-size: 3.5rem;
    text-align: left;
  }

  &__card {
    width: 50%;
    max-width: 96rem;
    min-height: 30rem;
    margin: 6.7rem 5px 0;
    padding: 7.6rem;
    border: 2px solid $white;
    border-radius: 2.5rem;
    background-image: $profile-gradient;
  }

  &__inputs {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: calc(100% - 30rem);
    min-width: 20rem;
    padding-bottom: 2rem;
  }

  &__content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 1.6rem 0;
  }

  &__account-type {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    font-size: 2.3rem;

    &__label {
      margin-right: 3.8rem;
      font-style: Italic;
    }
  }

  &__email {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    font-size: 2.3rem;

    &__label {
      min-width: 18rem;
      max-width: 20rem;
      margin-right: 7rem;
      margin-bottom: 1rem;
      line-height: 5.5rem;
      font-style: Italic;
      font-size: 1.6rem;
    }

    &__input {
      width: 33rem; // TODO: make this component more responsive such that percentages will work here. Needs component refactoring.
    }
  }

  &__avatar {
    display: flex;
    flex-direction: column;

    &-label {
      font-style: Italic;
      font-size: 2.3rem;
      text-align: center;
      opacity: 1;
      letter-spacing: 0;
    }
  }

  &__avatar .profile__picture {
    top: 2.2rem;
    left: 50%;
    transform: translateX(-50%);
    width: 15rem;
    height: 15rem;
  }

  @media only screen and (max-width: 1400px) {
    &__header {
      margin-top: 1rem;
      font-size: 2.5rem;
    }

    &__inputs {
      width: calc(100% - 17rem);
    }

    &__card {
      min-width: 75rem;
      margin-bottom: 6.7rem;
      padding: 4rem;
    }

    &__account-type {
      font-size: 2rem;
    }

    &__email {
      font-size: 2rem;

      &__label {
        margin-right: 2rem;
        margin-bottom: 0;
        line-height: 4rem;
      }

      &__input {
        width: calc(100% - 5.5rem);
      }
    }

    &__avatar {
      width: 16rem;

      &-label {
        font-size: 2rem;
      }

      .profile {
        &__wrapper {
          width: 100%;
          padding: 1rem;
        }

        &__upload-avatar {
          display: block;
          padding-left: 1rem;
        }

        &__picture {
          width: 11rem;
          height: 11rem;
        }

        &__frame {
          width: 14rem;
          height: 14rem;
        }
      }
    }
  }

  @media only screen and (max-width: 600px) {
    &__content {
      flex-direction: column-reverse;
    }

    &__inputs, &__avatar {
      width: 100%;
    }

    &__card {
      box-sizing: border-box;
      min-width: 95%;
    }
  }
}
